[android-components](../index.md) / [mozilla.components.support.ktx.android.notification](./index.md)

## Package mozilla.components.support.ktx.android.notification

### Types

| Name | Summary |
|---|---|
| [ChannelData](-channel-data/index.md) | `class ChannelData`<br>Wraps the data of a NotificationChannel as this class is available after API 26. |

### Functions

| Name | Summary |
|---|---|
| [ensureNotificationChannelExists](ensure-notification-channel-exists.md) | `fun ensureNotificationChannelExists(context: <ERROR CLASS>, channelDate: `[`ChannelData`](-channel-data/index.md)`, onSetupChannel: <ERROR CLASS>.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)` = {}, onCreateChannel: <ERROR CLASS>.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)` = {}): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Make sure a notification channel exists. |
